### Class

# Msg GoaAuthorizer

#### Description [src]

    class Msg.GoaAuthorizer : GObject.Object
      implements Msg.Authorizer {
      MsgGoaAuthorizerPrivate* priv
    }

The `MsgGoaAuthorizer` structure contains only private data and should only be accessed using the provided API.

#### Ancestors

- GObject

#### Implements

- MsgAuthorizer

#### Constructors

###### msg_goa_authorizer_new

Creates a new `MsgGoaAuthorizer` using `goa_object`.

#### Instance methods

###### msg_goa_authorizer_get_goa_object

Gets the GOA account used by `self` for authorization.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from MsgAuthorizer (2)

###### msg_authorizer_process_request

Adds the necessary authorization to `message`. The type of `message` can be DELETE, GET and POST.

###### msg_authorizer_refresh_authorization

Synchronously forces `iface` to refresh any authorization tokens held by it. See `msg_authorizer_refresh_authorization_async()` for the asynchronous version of this call.

#### Properties

###### Msg.GoaAuthorizer:goa-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MsgGoaAuthorizerClass {
      GObjectClass parent_class;

    }

Class structure for `MsgGoaAuthorizer`.

###### Class members

`parent_class: GObjectClass`

  The parent class.